#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

"""EVH command for handling proxy/apply event"""

import os
import ionas.nascmd as nascmd
import ionas.request as request
import libevh.evhcmd as evhcmd
from iobase.cmdexec import CmdExec, NULL
from iobase.xmldata import (XmlNode)
from iobase.exception import (NotFoundError, InvalidArgError, ExecError)
from product_conf.reqinfo import (Results, ReqTypes)


class EventHnadler(evhcmd.EvhCmd):
    #
    # Request handlers
    #

    def __event_handler(self, entry):
        """Handle "event" request."""

        try:
            cmd = ['/opt/cbot_agent/command/setProxyInfo.sh']
            CmdExec(cmd).execute(stdout=NULL, stderr=NULL)
        except Exception:
            pass

        entry.set_result(Results.OK)
        return entry

    def __init__(self, option=None):
        """Constructor."""

        evhcmd.EvhCmd.__init__(self, option=option)

        self.set_handler(ReqTypes.EVENT, self.__event_handler)

#
# Main
#

if __name__ == "__main__":
    EventHnadler(option=evhcmd.EvhCmdOption()).handle_request()
