"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_validator_1 = require("express-validator");
const i18n_1 = require("i18n");
const api_1 = require("../api");
class default_1 {
    constructor(api) {
        this.api = api;
    }
    validate() {
        return [
            express_validator_1.check('event').exists({ checkFalsy: true }).withMessage(() => i18n_1.__('%sは必須です。', i18n_1.__('イベント名'))),
            express_validator_1.check('arguments')
                .optional({ nullable: true })
                .isObject()
                .custom((value) => {
                if (value) {
                    Object.values(value).forEach(arg => {
                        if (typeof arg != "string") {
                            throw new Error(i18n_1.__('不正な%sです。', i18n_1.__('引数')));
                        }
                    });
                    return true;
                }
            })
                .withMessage(() => i18n_1.__('不正な%sです。', i18n_1.__('引数'))),
            (req, res, next) => {
                api_1.validateErrorResponse(req, res, next);
            }
        ];
    }
}
exports.default = default_1;
