"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_validator_1 = require("express-validator");
const i18n_1 = require("i18n");
const api_1 = require("../api");
class default_1 {
    constructor(api) {
        this.api = api;
    }
    validate() {
        return [
            express_validator_1.check('pin').exists({ checkFalsy: true }).withMessage(() => i18n_1.__('%sは必須です。', i18n_1.__('PINコード'))),
            express_validator_1.check('pin').isLength({ min: 6, max: 6 }).withMessage(() => i18n_1.__('%sは%d桁の数字にしてください。', i18n_1.__('PINコード'), '6')),
            (req, res, next) => {
                api_1.validateErrorResponse(req, res, next);
            }
        ];
    }
}
exports.default = default_1;
