"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_validator_1 = require("express-validator");
const i18n_1 = require("i18n");
const api_1 = require("../api");
class default_1 {
    constructor(api) {
        this.api = api;
    }
    validate() {
        return [
            express_validator_1.check('name').exists({ checkFalsy: true }).withMessage(() => i18n_1.__('%sは必須です。', i18n_1.__('エージェント名'))),
            express_validator_1.check('name').isLength({ max: 64 }).withMessage(() => i18n_1.__('%sは%d文字以下にしてください。', i18n_1.__('エージェント名'), '64')),
            express_validator_1.check('max_values[1]').isInt({ min: 0 }).withMessage(() => i18n_1.__('%sは%d以上の整数にしてください。', i18n_1.__('ブラウザの同時起動可能数'), '0')),
            express_validator_1.check('max_values[1]').isInt({ max: 100 }).withMessage(() => i18n_1.__('%sは%d以下の整数にしてください。', i18n_1.__('ブラウザの同時起動可能数'), '100')),
            express_validator_1.check('max_values[2]').isInt({ min: 0 }).withMessage(() => i18n_1.__('%sは%d以上の整数にしてください。', i18n_1.__('コネクタの同時起動可能数'), '0')),
            express_validator_1.check('max_values[2]').isInt({ max: 100 }).withMessage(() => i18n_1.__('%sは%d以下の整数にしてください。', i18n_1.__('コネクタの同時起動可能数'), '100')),
            express_validator_1.check('allow_file_transfer.inbound').isBoolean().withMessage(() => i18n_1.__('%sはtrueかfalseにしてください。', i18n_1.__('インバウンドを許可'))),
            express_validator_1.check('allow_file_transfer.outbound').isBoolean().withMessage(() => i18n_1.__('%sはtrueかfalseにしてください。', i18n_1.__('アウトバウンドを許可'))),
            (req, res, next) => {
                api_1.validateErrorResponse(req, res, next);
            }
        ];
    }
}
exports.default = default_1;
