"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_validator_1 = require("express-validator");
const i18n_1 = require("i18n");
const api_1 = require("../api");
class default_1 {
    constructor(api) {
        this.api = api;
    }
    validate() {
        return [
            express_validator_1.check('user').exists({ checkFalsy: true }).withMessage(() => i18n_1.__('%sは必須です。', i18n_1.__('メールアドレス'))),
            express_validator_1.check('user').isEmail().withMessage(() => i18n_1.__('%sの書式が正しくありません。', i18n_1.__('メールアドレス'))),
            (req, res, next) => {
                api_1.validateErrorResponse(req, res, next);
            }
        ];
    }
}
exports.default = default_1;
