"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthStore = void 0;
;
class AuthStore {
    constructor() {
        this.store = {};
    }
    /**
     * 認証情報をストアに追加
     */
    push(url) {
        const urlObj = new URL(url);
        if (urlObj.username || urlObj.password) {
            const key = `${urlObj.protocol}//${urlObj.host}${urlObj.pathname.replace(/[^\/]+$/, '')}`;
            this.store[key] = {
                username: urlObj.username,
                password: urlObj.password
            };
        }
    }
    /**
     * ストアから適切な認証情報を検索
     */
    search(url) {
        let candidateKey = '';
        // URLに前方一致する最長キーを検索
        for (const key in this.store) {
            if (url.indexOf(key) === 0 && candidateKey.length < key.length) {
                candidateKey = key;
            }
        }
        // マッチしない場合は、URLが前方一致する最短キーを検索
        if (!candidateKey) {
            url = url.replace(/[^\/]+$/, '');
            for (const key in this.store) {
                if (key.indexOf(url) === 0 && (!candidateKey.length || key.length < candidateKey.length)) {
                    candidateKey = key;
                }
            }
        }
        return candidateKey ? this.store[candidateKey] : undefined;
    }
}
exports.AuthStore = AuthStore;
