/// <reference types="node" />
import * as stream from 'stream';
import { fileMeta } from '../../@types/fileMeta';
import { options } from '../../@types/options';
import { uploadParams } from '../../@types/uploadParams';
export declare class WSClient {
    private options;
    private socket;
    constructor(options: options);
    connect(tokenId: string): Promise<void>;
    disconnect(): void;
    upload(readStream: stream.Readable, params: uploadParams): Promise<string>;
    download(ref: string): Promise<{
        stream: stream.Readable;
        meta: fileMeta;
    }>;
    private authorize;
}
