/// <reference types="node" />
import net from 'net';
import tls from 'tls';
import { Url } from 'url';
import { AgentOptions } from 'agent-base';
import { OutgoingHttpHeaders } from 'http';
import _DigestProxyAgent from './agent';
declare function createDigestProxyAgent(opts: string | createDigestProxyAgent.DigestProxyAgentOptions, challenge: string): _DigestProxyAgent;
declare namespace createDigestProxyAgent {
    interface BaseDigestProxyAgentOptions {
        headers?: OutgoingHttpHeaders;
        secureProxy?: boolean;
        host?: string | null;
        path?: string | null;
        port?: string | number | null;
    }
    export interface DigestProxyAgentOptions extends AgentOptions, BaseDigestProxyAgentOptions, Partial<Omit<Url & net.NetConnectOpts & tls.ConnectionOptions, keyof BaseDigestProxyAgentOptions>> {
    }
    export type DigestProxyAgent = _DigestProxyAgent;
    export const DigestProxyAgent: typeof _DigestProxyAgent;
    export {};
}
export = createDigestProxyAgent;
