/// <reference types="node" />
import { EventEmitter } from 'events';
import * as net from 'net';
export declare enum TCPStreamEvent {
    ReceiveData = "receive_data",
    SendData = "send_data",
    Close = "close",
    Error = "error"
}
export declare class TCPStream extends EventEmitter {
    sendData(ioStream: SocketIOStream.IOStream): void;
    close(closeFromRemoteTunnel?: boolean): void;
    constructor(tunnelName: string, socket: net.Socket, streamId: string, tcpClientHost: string, tcpClientPort: number);
    throwError(error: any): void;
    pipe(ioStream: SocketIOStream.IOStream): void;
    get tunnelName(): string;
    get id(): string;
    get socket(): net.Socket;
    get receiveSize(): number;
    get sendSize(): number;
    get readableHighWaterMark(): number;
    get writableHighWaterMark(): number;
    get tcpClientHost(): string;
    get tcpClientPort(): number;
    get connectedTime(): number;
    get closedRemote(): boolean;
    private _tunnelName;
    private readonly _streamId;
    private readonly _socket;
    private _receiveSize;
    private _sendSize;
    private _tcpClientHost;
    private _tcpClientPort;
    private _connectedTime;
    private _closedRemote;
}
