/// <reference types="socket.io-client" />
/// <reference types="node" />
import { EventEmitter } from 'events';
import { Tunnel } from './Tunnel';
import { TunnelType, TunnelSetting, Policy, TunnelBuilderOption } from './types';
export declare type RequestTunnelAckCallback = (tn: Tunnel) => void;
export declare type RequestTunnelInnerAckCallback = (success: boolean, error: string) => void;
export declare type AuthTunnelAckCallback = (success: boolean) => void;
export declare class TunnelBuilder extends EventEmitter {
    emit(event: string | symbol, ...datas: any[]): boolean;
    on(event: string | symbol, listener: (...args: any[]) => void): this;
    once(event: string | symbol, listener: (...args: any[]) => void): this;
    off(event: string | symbol, listener: (...args: any[]) => void): this;
    isExistTunnel(tunnelName: string): boolean;
    protected setTunnelHandler(tunnel: Tunnel): void;
    protected openTunnel(tunnelType: TunnelType, tunnelName: string, setting: TunnelSetting): Tunnel;
    protected deleteTunnel(tunnelName: string, fromRemote?: boolean): void;
    throwError(error: string): void;
    protected checkPolicy(setting: TunnelSetting): boolean;
    protected setWsSocketHandler(): void;
    get policy(): Policy;
    set policy(val: Policy);
    constructor(wsSocket: SocketIOClient.Socket, options?: TunnelBuilderOption);
    private wsSocket;
    private tunnels;
    private _policy;
    private _options;
}
