"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Config = require("config");
const Log4js = require("log4js");
const Path = require("path");
class Logger {
    static initialize() {
        const confPath = Path.join('config');
        const configure = Config.util.loadFileConfigs(confPath).log4js;
        Log4js.configure(configure);
    }
    static accessDebug(message) {
        const logger = Log4js.getLogger('access');
        logger.debug(message);
    }
    static accessInfo(message) {
        const logger = Log4js.getLogger('access');
        logger.info(message);
    }
    static accessWarning(message) {
        const logger = Log4js.getLogger('access');
        logger.warn(message);
    }
    static accessError(message) {
        const logger = Log4js.getLogger('access');
        logger.error(message);
    }
    static systemDebug(message, data = null) {
        const logger = Log4js.getLogger('system');
        if (data !== null) {
            message += ' ' + data.slice(0, 10).toString('hex');
        }
        logger.debug(message);
    }
    static systemInfo(message) {
        const logger = Log4js.getLogger('system');
        logger.info(message);
    }
    static systemWarning(message) {
        const logger = Log4js.getLogger('system');
        logger.warn(message);
    }
    static systemError(message) {
        const logger = Log4js.getLogger('system');
        logger.error(message);
    }
    static error(message) {
        const logger = Log4js.getLogger('error');
        logger.error(message);
    }
}
exports.Logger = Logger;
//# sourceMappingURL=logger.js.map