/// <reference types="node" />
import * as net from 'net';
export declare enum TunnelType {
    Local = 0,
    Remote = 1
}
export declare enum TunnelStatus {
    Create = 0,
    Open = 1,
    Disconnect = 2,
    Close = 3
}
export declare type TunnelSetting = {
    tcpHost: string;
    tcpPort: number;
    authId?: string;
    authKey?: string;
    listenPort?: number;
    listenServer?: net.Server;
};
export declare type TunnelRequest = {
    tunnelName: string;
    setting: TunnelSetting;
};
export declare type TunnelBuilderOption = {
    approveOnNoSetAuthHandler?: boolean;
};
export declare type PolicyItem = {
    address: string;
    fromPort: number;
    toPort: number;
};
export declare type Policy = {
    whiteList: boolean;
    items: PolicyItem[];
};
