import axios from 'axios';
import { ComponentOptions } from 'vue';

export default <ComponentOptions<any>>{
    data: function() {
        return {
            new_password: null,
            confirm_new_password: null
        }
    },

    methods: {
        update: async function() {
            try {
                await this.loading.start();
            }
            catch(e) {
                console.log(e);
                return;
            }
            try {
                await axios.post('/api/agent/password/initialize', {
                    new_password: this.new_password,
                    confirm_new_password: this.confirm_new_password
                });
                this.toast.success('Updated');
                document.location.href = '/login';
            }
            catch(e) {
                e = e.response?.data?.code ? e.response.data : e;
                this.toast.error(e);
                return;
            }
            finally {
                this.loading.end();
            }
        }
    }
}
