import axios from 'axios';
import { ComponentOptions } from 'vue';

export default <ComponentOptions<any>>{
    props: [
        'currentLang',
        'wizard'
    ],

    data: function() {
        return {
            lang: this.currentLang ? this.currentLang : 'ja'
        };
    },

    methods: {
        update: async function() {
            if(!this.wizard) {
                try {
                    await this.toast.confirm(this.$t('言語設定を更新します。宜しいですか？'));
                }
                catch(e) {
                    return;
                }
            }

            try {
                await this.loading.start();
            }
            catch(e) {
                console.log(e);
                return;
            }
            try {
                const url = !this.wizard ? '/api/agent/lang' : '/api/agent/lang/initialize';
                await axios.post(url, {
                    lang: this.lang
                });
                if(!this.wizard) {
                    document.location.reload();
                }
                else {
                    document.location.href = "/";
                }
            }
            catch(e) {
                e = e.response?.data?.code ? e.response.data : e;
                this.toast.error(e);
                return;
            }
            finally {
                this.loading.end();
            }
        }
    }
}
