import axios from 'axios';
import { ComponentOptions } from 'vue';

export default <ComponentOptions<any>>{
    data: function() {
        return {
            password: null
        };
    },

    methods: {
        login: async function() {
            try {
                await this.loading.start();
            }
            catch(e) {
                console.log(e);
                return;
            }
            try {
                await axios.post('/api/agent/login', {
                    password: this.password
                });
                document.location.href = '/';
            }
            catch(e) {
                if(e.response.status == 401) {
                    e = new Error(this.$t('パスワードが正しくありません。'));
                }
                else {
                    e = e.response?.data?.code ? e.response.data : e;
                }
                this.toast.error(e);
                this.password = null;
                return;
            }
            finally {
                this.loading.end();
            }
        }
    }
}
