import axios from 'axios';
import { ComponentOptions } from 'vue';

export default <ComponentOptions<any>>{
    props: [
        'wizard'
    ],

    data: function() {
        return {
            current_password: null,
            new_password: null,
            confirm_new_password: null
        }
    },

    methods: {
        update: async function() {
            if(!this.wizard) {
                try {
                    await this.toast.confirm(this.$t('パスワードを更新します。宜しいですか？'));
                }
                catch(e) {
                    return;
                }
            }

            try {
                await this.loading.start();
            }
            catch(e) {
                console.log(e);
                return;
            }
            try {
                await axios.post('/api/agent/password', {
                    current_password: this.current_password,
                    new_password: this.new_password,
                    confirm_new_password: this.confirm_new_password
                });
                this.current_password = null;
                this.new_password = null;
                this.confirm_new_password = null;
                this.toast.success(this.$t('パスワードを更新しました。'));
            }
            catch(e) {
                e = e.response?.data?.code ? e.response.data : e;
                this.toast.error(e);
                return;
            }
            finally {
                this.loading.end();
            }
        }
    }
}
