import axios from 'axios';
import { ComponentOptions } from 'vue';

export default <ComponentOptions<any>>{
    methods: {
        initialize: async function() {
            try {
                await this.toast.confirm(this.$t('エージェントを初期化します。宜しいですか？'));
            }
            catch(e) {
                return;
            }

            try {
                await this.loading.start();
            }
            catch(e) {
                console.log(e);
                return;
            }
            try {
                await axios.post('/api/agent/initialize');
                document.location.href = '/';
            }
            catch(e) {
                e = e.response?.data?.code ? e.response.data : e;
                this.toast.error(e);
                return;
            }
            finally {
                this.loading.end();
            }
        }
    }
}
