#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const proxy_1 = require("./proxy");
const commandError_1 = require("../errors/commandError");
const app_1 = require("../app");
(() => {
    try {
        commander_1.program
            .version((new app_1.default()).version, '-v, --version')
            .description('Get proxy infomation.');
        const proxy = new proxy_1.default();
        const output_proxy = proxy.getProxyInfoByJson();
        console.log(JSON.stringify(output_proxy));
        process.exit(0);
    }
    catch (error) {
        console.log('Failed to get proxy infomation!!!');
        if (error instanceof commandError_1.CommandError) {
            console.log(`error: ${error.message}`);
            console.error(error.getJsonError());
            process.exit(error.getExitcode());
        }
        else {
            console.log('error: undefined error');
            console.error(JSON.stringify({
                exitcode: 99,
                message: error.message
            }));
            process.exit(99);
        }
    }
})();
