"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commandError_1 = require("../errors/commandError");
class default_1 {
    constructor(agent_name, max_boots) {
        this.agent_name = agent_name;
        this.max_boots = max_boots;
    }
    validate() {
        var _a, _b;
        if (!this.agent_name || this.agent_name == '-') {
            throw new commandError_1.CommandError('NO_AGENT_NAME');
        }
        if (this.agent_name.length >= 64) {
            throw new commandError_1.CommandError('INVALID_AGENT_NAME');
        }
        if (!((_a = this.max_boots) === null || _a === void 0 ? void 0 : _a.browser) || !((_b = this.max_boots) === null || _b === void 0 ? void 0 : _b.connector)) {
            throw new commandError_1.CommandError('INVALID_MAX_BOOTS');
        }
        if (isNaN(this.max_boots.browser) || Number(this.max_boots.browser) > 100 || Number(this.max_boots.browser) < 0) {
            throw new commandError_1.CommandError('INVALID_BROWSER_MAX_BOOT');
        }
        if (isNaN(this.max_boots.connector) || Number(this.max_boots.connector) > 100 || Number(this.max_boots.connector) < 0) {
            throw new commandError_1.CommandError('INVALID_CONNECTOR_MAX_BOOT');
        }
    }
}
exports.default = default_1;
